#!/bin/bash

# Debug-Output
echo "🔄 DEBUGPY-Value: ''"
echo "🔄 FLASK_DEBUG-Value: ''"

# Debug-Modus activate if .env told you so
if [[ "" == "1" || "" == "1" ]]; then
  echo "🔄 Starting in DEBUG mode (Port 5678)..."
  exec python -m debugpy --listen 0.0.0.0:5678 -m flask run --host=0.0.0.0 --port=5000
else
  echo "🚀 Starting in PRODUCTION mode..."
  exec gunicorn -b 0.0.0.0:5000 app:app
fi


